import {AfterViewInit, Component, ElementRef, ViewChild} from '@angular/core';
import {Slides} from "ionic-angular";
import {TabsService} from "../../pages/tabs/tabs.service";
import {AppGlobal} from "../../service/http.service";

@Component({
  selector: 'slide-list',
  templateUrl: 'slide-list.html'
})
export class SlideListComponent implements AfterViewInit{
  @ViewChild(Slides) slides:Slides;
  @ViewChild('tabSpan') tabSpan:ElementRef;
  @ViewChild('tips') tips:ElementRef;
  @ViewChild('tips1') tips1:ElementRef;

  isScroll = false;
  //所属板块类型:
  //1党章党规,2系列讲话,3中央精神,4本市部署,5通知公告,6党建动态,7工作提示,8党务参考
  //9廉政格言,10纪检提示,11风险排查,12警示教育,13支部活动,14党建联建,15结对帮扶
  tabsList = [
    {name: "系列讲话", type: 2, index: 0},
    {name: "党章党规", type: 1, index: 1},
    {name: "中央精神", type: 3, index: 2},
    {name: "本市部署", type: 4, index: 3}
  ];
  index = 0;
  slideList = [];
  picture: string = AppGlobal.domain + '/wisdomgroup';



  constructor(private tabsSer:TabsService) {
    this.slideList.length = 4;
    console.log('Hello SlideListComponent Component');
  }

  ngAfterViewInit(): void {
    this.change(this.tabsList[0]);
  }

  change(item) {
    const index = item.index;
    let itemWidth = window.screen.width / 4;
    let spanWidth = this.tabSpan.nativeElement.offsetWidth;   //文字宽度
    this.tips.nativeElement.style.width = this.tabSpan.nativeElement.offsetWidth + 'px';
    this.tips1.nativeElement.style.width = this.tabSpan.nativeElement.offsetWidth + 'px';
    // 自身div的一半 - 滑块的一半
    this.tips.nativeElement.style.left = itemWidth * (index) + (itemWidth - spanWidth) / 2 + 'px';
    this.tips1.nativeElement.style.left = itemWidth * (index) + (itemWidth - spanWidth) / 2 + 'px';
    this.index = index;
    const data = {
      pageSize: 1,
      pageCount: 100,
      obj: {
        'plateType': item.type,
        'resourceType': 1
      }
    }
    this.tabsSer.stuffPage(data).subscribe(
        (res) => {
          let arr =  res.data;
          arr.forEach(e => {
            if (e.attachments.length > 0) {
              e.imgUrl = e.attachments[0].path;
            }
          })
          this.slides.slideTo(index,500);
          this.slideList[index] = arr;
        }
    )
  }

  slideChange(e){
    const index = this.slides.getActiveIndex();
    // console.log(this.tabsList[index]);
    // this.changeParent(this.tabsList[index])
  }

  //
  goToDetail(item){}

}
